# ICLR2025
The official repo of paper "More Harmful, Less Noticeable: Learning Adversarial Null-Text Embeddings for Inconspicuous Attack"

Our experiments were conducted on a single NVIDIA 6000 Ada GPU.

To install:

    conda env create -f environment.yaml
    conda activate attack
    pip install -U transformers==4.40.1

## Quick start:
### 1. get dataset from Natural-Color-Fool

   ```bash
  cd third_party
  ./download.sh
  ```

### 2. run script, currently 'res50', 'mnv2', 'vitb' and 'mobvit' are supported.
    
  ```bash
  python adv_embedding_optimization.py --model res50
  ```
results will be saved in temp/1000

### 3. evaluate transferability

  ```bash
  python eval_transfer.py
  ```

### 4. run image quality assessment

  ```bash
  python eval_iqa.py
  ```